QGIS Application - Feature request #3706
improve loading of gml to load source layer
Assignee:

Category: Map Legend

Pull Request or Patch supplied: Resolution: fixed/implemented
Easy fix?: No Copied to github as #: 13765
Description

This is an improvement to allow QGIS to load pre-symbolized layers, in one step, data source and symbology. This is different (better)
from what is available today: load layer, apply .gml, or load layer with .gml with the same name in a particular folder.

This would ideally work with 2 new options in the layer context menu, like "save styled layer" and "load styled layer", that would save and
load a layer as is in the project.

Advantages to the present capability:

i) we can have a single data source with several .gml allowing multiple representations of the same data, prepared and made available to
users in an organization by a GIS team

i) user don't need to know about data structure, this is in fact abstracted. Users work with "themed data", like population by county, or
income by county, regardless if the data comes from a shapefile or [[PostGIS]]

iii) this will allow a GIS dept. in an organization to prepare a shared folder with a set of layers that the users can load, in fact creating a
standard for their GIS, regarding the data used, and the symbology applied.

This is common practice in other GIS software, like [[ArcGIS]] (.lyr files) and [[AutoCAD]] Map (don't know the file extension).

As it stands now, using QGIS a user has to i) know which data to load; ii) know which attribute holds the needed data; iii) know how to
symbolize the layer. And the reusability of this work is very limited (to a project?).

The ability to automatically apply a .gml that has the same name as the the data source has several limitations: i)it works based on a a
single PC configuration, depending on the user; ii) it is limited to 1 .gml per data source; iii) it is difficult to scale to several users in a

managed context.

Duarte

History

#1 - 2011-04-06 04:55 AM - Giovanni Manghi

Hi Duarte, let's come to the dev meeting in Lisbon to propose and hack this enhancement! ;)

abragos

#2 - 2011-04-06 05:10 AM - Duarte Carreira

I'll do all | can to be there! Hoping one of the gurus will pick this up!
Replying to [comment:1 lutra]:

Hi Duarte, let's come to the dev meeting in Lisbon to propose and hack this enhancement! ;)

abragos

#3 - 2011-12-16 12:45 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#4 - 2012-04-15 10:11 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#5 - 2012-10-06 02:33 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#6 - 2015-11-20 07:04 AM - Médéric RIBREUX
- Pull Request or Patch supplied set to No

- Status changed from Open to Closed

- Resolution set to fixed/implemented

- Operating System deleted (Debian)

- % Done changed from 0 to 100

- Assignee deleted (nobody -)

Hello, bug triage...

this feature request is covered by Layer Definition Files (.glr) which do exactly what .lyr in ArcGIS do.

| am closing this feature request.
